W3C home > Mailing lists > Public > www-ws-desc@w3.org > July 2004

Re: Decouple SOAP Version from SOAP Binding ?

From: Hugo Haas <hugo@w3.org>
Date: Fri, 16 Jul 2004 15:48:07 +0200
To: Asir Vedamuthu <asirv@webmethods.com>
Cc: "'paul.downey@bt.com'" <paul.downey@bt.com>, www-ws-desc@w3.org
Message-ID: <20040716134806.GD32010@w3.org>
Hi Asir.

I need to think about this a little more, but as a first comment...

* Asir Vedamuthu <asirv@webmethods.com> [2004-07-16 07:30-0400]
> > One difference that does spring to mind: is 
> > SOAP 1.2 backwards compatible with SOAP 1.1 in 
> > the way HTTP 1.1 is with HTTP 1.0 ?
> 
> Negative. 
> 
> > And if not, is that an issue?
> 
> I can't think of any reason why that would be germane to binding
> description. AFAIK, WSDL says nothing about protocol version compatibility.

... the concept of SOAP module does not exist in SOAP 1.1.

Regards,

Hugo

-- 
Hugo Haas - W3C
mailto:hugo@w3.org - http://www.w3.org/People/Hugo/

Received on Friday, 16 July 2004 09:48:24 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Monday, 7 December 2009 10:58:32 GMT